Skip to main content
GET
Get an account

Path Parameters

account_id
string<uuid>
required

The account ID.

Response

The request has succeeded.

id
string<uuid>
required

Unique identifier for the account.

kyc_profile_id
string<uuid>
required

UUID of the KYC profile linked to this account.

funding
Safe Wallet Funding · object
required

How the account is funded. type determines the fields of config.

Example:
native_currency
string
required

Primary currency for the account.

additional_currencies
string[]
required

Additional currencies supported by the account.

status
enum<string>
required

Current account status.

Available options:
provisioning,
active,
blocked,
closed
created_at
string<date-time>
required

When the account was created.

updated_at
string<date-time>
required

When the account was last updated.

provisioned_at
string<date-time> | null
required

When the account was fully provisioned. Null if still provisioning.

closed_at
string<date-time> | null
required

When the account was closed. Null if not closed.

external_reference
string

Client-provided external reference for the account.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$